Get test plan comments' count
GET
/testplancomments/countGet test plan comments’ count
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestplansCommentsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestplansCommentsApi(config);
const result = await api.getTestPlanCommentsCount({ "project": 123, "testPlan": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testplancomments/count?token=$TESTCOLLAB_TOKEN&project=123&test_plan=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
test_plan |
query | number | Yes | Test Plan ID |
Response
Section titled “Response”200 — Count of test plan comments
| Field | Type | Required | Description |
|---|---|---|---|
count |
number | Yes | — |
{ "count": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |